@extends('layout')

@push('head')
    <link rel="stylesheet" href="{{ asset('css/generic.css') }}">
    <link rel="stylesheet" href="{{ asset('css/main/main.css') }}">
@endpush

@section('body')
    <header>
        <a href="{{ route('home') }}"><span>{{ config('app.name', 'CineFlex') }}</span></a>
        <div id="links">
            <a href="{{ route('home') }}">Home</a>
            <a href="{{ route('movies') }}">Movies</a>

            @if (Auth::check())
                <a href="{{ route('dash') }}">Dashboard</a>
                <a href="{{ route('logout') }}">Logout</a>
            @else
                <a href="{{ route('login') }}">Login</a>
            @endif
        </div>
    </header>
    <main>
        @yield('content')
    </main>
@endsection
