@extends('main.layout')

@section('content')

    <section>
        <h1>{{$movie->movie_name}}</h1>
        <hr/>
        <div id="movie">
            <x-cache-image src="{{$movie->movie_image}}" alt="{{$movie->movie_name}} Poster" class="poster" width="200px"/>
            <div class="details">
                <span>{{$movie->movie_length}} min</span><br/>
                <span>{{$movie->movie_description}}</span>
            </div>
        </div>
    </section>

    <section>
        <h1>Now playing:</h1>
        <hr/>
        <div id="showings">
            @foreach($movie->showings as $showing)
                <a href="/showing/{{$showing->showing_id}}">
                    <h2>{{$showing->room->cinema->cinema_name}} @ {{$showing->showing_start}} - {{$showing->showing_end()}}</h2>
                </a>
            @endforeach
        </div>
    </section>

@endsection
